Package org.apache.sysds.runtime.io

## Class FrameReaderBinaryBlockParallel

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.io.FrameReaderBinaryBlock
    - - org.apache.sysds.runtime.io.FrameReaderBinaryBlockParallel

    public class FrameReaderBinaryBlockParallel
    extends FrameReaderBinaryBlock

Multi-threaded frame binary block reader.

### Constructor Summary

Constructors
`FrameReaderBinaryBlockParallel()`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.FrameReaderBinaryBlock

`readFirstBlock, readFrameFromHDFS, readFrameFromInputStream`

### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

`getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameReaderBinaryBlockParallel

    public FrameReaderBinaryBlockParallel()